net.sourceforge.jnlp.runtime

## Class Translator

- java.lang.Object
- - net.sourceforge.jnlp.runtime.Translator

    public class Translator
    extends java.lang.Object

Utility class to provide simple methods to help localize messages

### Constructor Summary

Constructors
Constructor and Description
`Translator()`

### Method Summary

Methods
`static java.lang.String` `R(java.lang.String message)` Return a translated (localized) version of the message
`static java.lang.String` `R(java.lang.String message, java.lang.Object... params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Translator

    public Translator()

### Method Detail

#### R

    public static java.lang.String R(java.lang.String message,
                     java.lang.Object... params)

Returns:
  the localized string for the message

#### R

    public static java.lang.String R(java.lang.String message)

Return a translated (localized) version of the message

Parameters:
  `message` - the message to translate
Returns:
  a string representing the localized message